Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class HRPersonEventCriteria
    Inherits BaseObject

    Private _ViewID As String
    Private _Criteria As String
    Private _ActiveViewType As Long = 3
    Private _User As User
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Size(255)> _
    Property ViewID As String
        Get
            Return _ViewID
        End Get
        Set(value As String)
            SetPropertyValue("ViewID", _ViewID, value)
        End Set
    End Property
    <Size(-1)> _
    Property Criteria As String
        Get
            Return _Criteria
        End Get
        Set(value As String)
            SetPropertyValue("Criteria", _Criteria, value)
        End Set
    End Property
    Property User As User
        Get
            Return _User
        End Get
        Set(value As User)
            SetPropertyValue("User", _User, value)
        End Set
    End Property
    Property ActiveViewType As Long
        Get
            Return _ActiveViewType
        End Get
        Set(value As Long)
            SetPropertyValue("ActiveViewType", _ActiveViewType, value)
        End Set
    End Property
End Class
